edu.wpi.first.networktables

## Enum NetworkTableType

- java.lang.Object
- - java.lang.Enum<NetworkTableType>
  - - edu.wpi.first.networktables.NetworkTableType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NetworkTableType>

      public enum NetworkTableType
      extends java.lang.Enum<NetworkTableType>

  Network table data types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kBoolean`
    `kBooleanArray`
    `kDouble`
    `kDoubleArray`
    `kRaw`
    `kRpc`
    `kString`
    `kStringArray`
    `kUnassigned`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NetworkTableType` | `getFromInt(int value)`
    `int` | `getValue()`
    `static NetworkTableType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NetworkTableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kUnassigned

          public static final NetworkTableType kUnassigned

    - #### kBoolean

          public static final NetworkTableType kBoolean

    - #### kDouble

          public static final NetworkTableType kDouble

    - #### kString

          public static final NetworkTableType kString

    - #### kRaw

          public static final NetworkTableType kRaw

    - #### kBooleanArray

          public static final NetworkTableType kBooleanArray

    - #### kDoubleArray

          public static final NetworkTableType kDoubleArray

    - #### kStringArray

          public static final NetworkTableType kStringArray

    - #### kRpc

          public static final NetworkTableType kRpc

  - ### Method Detail

    - #### values

          public static NetworkTableType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetworkTableType c : NetworkTableType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetworkTableType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### getFromInt

          public static NetworkTableType getFromInt(int value)